Debian Bug report logs - #547393
transition: libjpeg8

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Pierre Habouzit <madcoder@debian.org>

Date: Sat, 19 Sep 2009 11:06:02 UTC

Severity: normal

Tags: squeeze-ignore

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Sat, 19 Sep 2009 11:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Sat, 19 Sep 2009 11:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libjpeg7
Date: Sat, 19 Sep 2009 13:00:20 +0200
Package: release.debian.org
Severity: normal
Owner: madcoder@debian.org
User: release.debian.org@packages.debian.org
Usertags: transition

Meta-bug to track libjpeg62 -> libjpeg7 transition




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Sat, 19 Sep 2009 13:15:02 GMT) Full text and rfc822 format available.

Message #8 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: debian-devel@lists.debian.org, debian-release@lists.debian.org
Subject: Re: libjpeg62-dev -> libjpeg-dev transition
Date: Sat, 19 Sep 2009 14:11:30 +0200
On Sat, Sep 19, 2009 at 01:01:38PM +0200, Pierre Habouzit wrote:
> On Sat, Sep 19, 2009 at 11:47:35AM +0200, Bill Allombert wrote:
> > Actually, I have already done a test-rebuild of all the packages that
> > build-depends on libjpeg62-dev or libjpeg-dev against a modified libjpeg7-dev
> > that provide both libjpeg62-dev and libjpeg-dev, and there is only six FTBFS
> > five of them being just test-suite update, and I send a patch for the sixth
> > (netpbm) in the BTS.
> 
> That' be great (if not already done) to open important bugs on those
> packages please, so that we can track that down.

This the summary of the result:

1) FTBFS in sid with libjpeg62-dev anyway:
avifile:      FTBFS #526536
blender:      FTBFS #545622
crystalspace: FTBFS #543082
dillo:        FTBFS #515271  
emacs22:      FTBFS #545497
emacs23:      FTBFS #545379
fgfs-atlas:   FTBFS #545593
gqcam:        FTBFS #515314
graphviz:     FTBFS #542979
hdf-eos5:     FTBFS #545833
kaffe:        FTBFS #529872
ntop:         FTBFS #527757
openvrml:     FTBFS #490334, #534055
paintlib:     FTBFS #546167
player:       FTBFS #524746
rezound:      FTBFS #529952, #529967
slony1:       FTBFS #536929
vegastrike:   FTBFS #530483, #537005
stage:        uninstallable build-dep->#524746

2) Package too large to be tested:
openoffice.org: too large

3) Package that fail to compile:
netpbm-free:  patch #546416

4) Package that build but fail test-suite:
sdop:                 testsuite
graphicsmagick:       testsuite
libgd-gd2-noxpm-perl: testsuite
libgd-gd2-perl:       testsuite

5) a small number (~5) of packages need to be updated to be compatible
with libjpeg7 raw interface (this is a one-line change). I will 
report bugs.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 


-- 
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org





Changed Bug title to 'transition: libjpeg8' from 'transition: libjpeg7' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Feb 2010 20:12:06 GMT) Full text and rfc822 format available.

Information stored :
Bug#547393; Package release.debian.org. (Fri, 05 Feb 2010 20:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 05 Feb 2010 20:12:09 GMT) Full text and rfc822 format available.

Message #15 received at 547393-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: control@bugs.debian.org, 547393-quiet@bugs.debian.org
Subject: Re: Upcoming libjpeg8 transition
Date: Fri, 5 Feb 2010 14:10:12 -0600
[Message part 1 (text/plain, inline)]
retitle 547393 transition: libjpeg8
thanks

Updating status.

Regards,
Jonathan
[Message part 2 (message/rfc822, inline)]
From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: debian-release@lists.Debian.org
Subject: Re: Upcoming libjpeg8 transition
Date: Mon, 1 Feb 2010 15:27:06 +0100
[Message part 3 (text/plain, inline)]
On Wed, Jan 20, 2010 at 12:52:48AM +0100, Bill Allombert wrote:
> On Mon, Jan 11, 2010 at 02:01:44PM +0100, Bill Allombert wrote:
> > Dear Debian release team,
> > 
> > I like to proceed with the libjpeg8 transition, skipping libjpeg7 entirely.
> > 
> > libjpeg8 packages are in the NEW queue. I have rebuild the 271 packages that
> > Build-Depends on libjpeg-dev and libjpeg62-dev against libjpeg8-dev and I 
> > will soon send to the BTS the 7 FTBFS I found.
> 
> I would like to do a status update:
> libjpeg8 is now in unstable and built everywhere.
> I have reported the FTBFS with libjpeg8:
> 
> graphicsmagick       #565922
> libgd-gd2-noxpm-perl #565919
> libgd-gd2-perl       #565920
> libterralib          #565322
> motion               #565325
> sdop                 #565921
> zoneminder           #565326

jpeg8 is now in testing and libterralib and sdop has been fixed already,
so I would like to start the transition by uploading a version of
libjpeg8-dev that provides libjpeg-dev.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Fri, 12 Mar 2010 15:00:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 547393: 546167 Request was from roucaries bastien <roucaries.bastien+debian@gmail.com> to control@bugs.debian.org. (Thu, 17 Feb 2011 14:57:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 547393: 546416 Request was from roucaries bastien <roucaries.bastien+debian@gmail.com> to control@bugs.debian.org. (Thu, 17 Feb 2011 14:57:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 547393: 565922 Request was from roucaries bastien <roucaries.bastien+debian@gmail.com> to control@bugs.debian.org. (Thu, 17 Feb 2011 14:57:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 547393: 565919 Request was from roucaries bastien <roucaries.bastien+debian@gmail.com> to control@bugs.debian.org. (Thu, 17 Feb 2011 14:57:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 547393: 565920 Request was from roucaries bastien <roucaries.bastien+debian@gmail.com> to control@bugs.debian.org. (Thu, 17 Feb 2011 14:57:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 547393: 582417 Request was from roucaries bastien <roucaries.bastien+debian@gmail.com> to control@bugs.debian.org. (Thu, 17 Feb 2011 14:57:17 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 547393: 592925 Request was from roucaries bastien <roucaries.bastien+debian@gmail.com> to control@bugs.debian.org. (Thu, 17 Feb 2011 14:57:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Thu, 17 Feb 2011 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Thu, 17 Feb 2011 15:36:03 GMT) Full text and rfc822 format available.

Message #36 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: roucaries bastien <roucaries.bastien+debian@gmail.com>
Cc: Bill Allombert <ballombe@debian.org>, 547393@bugs.debian.org
Subject: Re: Processed: Re: Add blocking bug
Date: Thu, 17 Feb 2011 16:33:09 +0100
On Thu, Feb 17, 2011 at 14:57:19 +0000, Debian Bug Tracking System wrote:

> Processing commands for control@bugs.debian.org:
> 
> > block 547393 by 546167
> Bug #547393 [release.debian.org] transition: libjpeg8
> Was not blocked by any bugs.
> Added blocking bug(s) of 547393: 546167

paintlib was last seen in lenny, afaict.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Fri, 11 Mar 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Fri, 11 Mar 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #41 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, debian-release@lists.debian.org
Cc: 547393@bugs.debian.org
Subject: Re: libjpeg8 transition.
Date: Fri, 11 Mar 2011 15:33:42 +0100
Hi Bill,

On Sat, Mar  5, 2011 at 18:08:21 +0100, Bill Allombert wrote:

> Dear release team,
> 
> I would like to proceed with the libjpeg8 transition. What are your plan ?
> 
#547393 is marked as blocked by a number of other bugs.  Can you check
with the maintainers of the affected packages?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Sun, 13 Mar 2011 10:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Sun, 13 Mar 2011 10:15:10 GMT) Full text and rfc822 format available.

Message #46 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: debian-release@lists.debian.org, 547393@bugs.debian.org
Subject: Re: libjpeg8 transition.
Date: Sun, 13 Mar 2011 11:13:08 +0100
On Fri, Mar 11, 2011 at 03:33:42PM +0100, Julien Cristau wrote:
> Hi Bill,
> 
> On Sat, Mar  5, 2011 at 18:08:21 +0100, Bill Allombert wrote:
> 
> > Dear release team,
> > 
> > I would like to proceed with the libjpeg8 transition. What are your plan ?
> > 
> #547393 is marked as blocked by a number of other bugs.  Can you check
> with the maintainers of the affected packages?

I could, but consider that:
#592925 is fixed, #582417 is not really a bug and the others seems to have
unresponsive maintainers, it looks like a loss of time.
What is more problematic is the numbers of packages that embed a copy of libjpeg6b,
but this is mostly na independant issue.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Mon, 21 Mar 2011 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Mon, 21 Mar 2011 12:57:06 GMT) Full text and rfc822 format available.

Message #51 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Mon, 21 Mar 2011 13:53:03 +0100
On Sun, Mar 13, 2011 at 11:13:08 +0100, Bill Allombert wrote:

> On Fri, Mar 11, 2011 at 03:33:42PM +0100, Julien Cristau wrote:
> > Hi Bill,
> > 
> > On Sat, Mar  5, 2011 at 18:08:21 +0100, Bill Allombert wrote:
> > 
> > > Dear release team,
> > > 
> > > I would like to proceed with the libjpeg8 transition. What are your plan ?
> > > 
> > #547393 is marked as blocked by a number of other bugs.  Can you check
> > with the maintainers of the affected packages?
> 
> I could, but consider that:
> #592925 is fixed, #582417 is not really a bug and the others seems to have
> unresponsive maintainers, it looks like a loss of time.

They'll still need to be fixed when we make the switch, since some of
them are libraries with a non-trivial number of reverse dependencies.
Of course one option could be to make them build-depend on
libjpeg62-dev, but if the maintainers are unresponsive you should be
prepared to NMU.

> What is more problematic is the numbers of packages that embed a copy of libjpeg6b,
> but this is mostly na independant issue.
> 
Let's keep this separate.

Cheers,
Julien




Added indication that bug 547393 blocks 623462 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 13:48:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Fri, 29 Apr 2011 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Fri, 29 Apr 2011 20:15:06 GMT) Full text and rfc822 format available.

Message #58 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Fri, 29 Apr 2011 22:13:53 +0200
On Mon, Mar 21, 2011 at 13:53:03 +0100, Julien Cristau wrote:

> On Sun, Mar 13, 2011 at 11:13:08 +0100, Bill Allombert wrote:
> 
> > On Fri, Mar 11, 2011 at 03:33:42PM +0100, Julien Cristau wrote:
> > > Hi Bill,
> > > 
> > > #547393 is marked as blocked by a number of other bugs.  Can you check
> > > with the maintainers of the affected packages?
> > 
> > I could, but consider that:
> > #592925 is fixed, #582417 is not really a bug and the others seems to have
> > unresponsive maintainers, it looks like a loss of time.
> 
> They'll still need to be fixed when we make the switch, since some of
> them are libraries with a non-trivial number of reverse dependencies.
> Of course one option could be to make them build-depend on
> libjpeg62-dev, but if the maintainers are unresponsive you should be
> prepared to NMU.
> 
hmm, I didn't see an answer to that.  :/

Either way we should probably get this started at this point, so please
feel free to upload at your convenience.

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Sat, 30 Apr 2011 14:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Sat, 30 Apr 2011 14:33:09 GMT) Full text and rfc822 format available.

Message #63 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Sat, 30 Apr 2011 16:29:17 +0200
On Mon, Mar 21, 2011 at 01:53:03PM +0100, Julien Cristau wrote:
> On Sun, Mar 13, 2011 at 11:13:08 +0100, Bill Allombert wrote:
> 
> > On Fri, Mar 11, 2011 at 03:33:42PM +0100, Julien Cristau wrote:
> > > Hi Bill,
> > > 
> > > On Sat, Mar  5, 2011 at 18:08:21 +0100, Bill Allombert wrote:
> > > 
> > > > Dear release team,
> > > > 
> > > > I would like to proceed with the libjpeg8 transition. What are your plan ?
> > > > 
> > > #547393 is marked as blocked by a number of other bugs.  Can you check
> > > with the maintainers of the affected packages?
> > 
> > I could, but consider that:
> > #592925 is fixed, #582417 is not really a bug and the others seems to have
> > unresponsive maintainers, it looks like a loss of time.
> 
> They'll still need to be fixed when we make the switch, since some of
> them are libraries with a non-trivial number of reverse dependencies.
> Of course one option could be to make them build-depend on
> libjpeg62-dev, but if the maintainers are unresponsive you should be
> prepared to NMU.

One issue with this transition is that a number of packages still depends on 
libjpeg62-dev instead of libjpeg-dev. This might cause packages to have uninstallable
build-dependency until they are fixed.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Sat, 30 Apr 2011 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Sat, 30 Apr 2011 20:30:03 GMT) Full text and rfc822 format available.

Message #68 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Sat, 30 Apr 2011 22:27:59 +0200
On Fri, Apr 29, 2011 at 10:13:53PM +0200, Julien Cristau wrote:
> > They'll still need to be fixed when we make the switch, since some of
> > them are libraries with a non-trivial number of reverse dependencies.
> > Of course one option could be to make them build-depend on
> > libjpeg62-dev, but if the maintainers are unresponsive you should be
> > prepared to NMU.
> > 
> hmm, I didn't see an answer to that.  :/

Sorry, I got distracted by an unexpected popcon.debian.org failure.

> Either way we should probably get this started at this point, so please
> feel free to upload at your convenience.

Fine. How should I proceed ? Should I upload both libjpeg6b and libjpeg8 with
libjpeg-dev pointing to libjpeg8-dev ?

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Thu, 09 Jun 2011 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Thu, 09 Jun 2011 20:39:06 GMT) Full text and rfc822 format available.

Message #73 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Thu, 9 Jun 2011 22:38:37 +0200
Hi Bill,

sorry for the delay in getting back to you.

On Sat, Apr 30, 2011 at 16:29:17 +0200, Bill Allombert wrote:

> One issue with this transition is that a number of packages still depends on 
> libjpeg62-dev instead of libjpeg-dev. This might cause packages to have uninstallable
> build-dependency until they are fixed.
> 
I guess that depends if we need to keep building some things against
libjpeg62.  If not, maybe libjpeg62-dev can become a dummy transitional
package for libjpeg8-dev.  If yes, then those packages depending on
libjpeg62-dev should have bugs filed (probably at important severity
for now).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Thu, 09 Jun 2011 21:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Thu, 09 Jun 2011 21:15:26 GMT) Full text and rfc822 format available.

Message #78 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Thu, 9 Jun 2011 23:13:03 +0200
On Thu, Jun 09, 2011 at 10:38:37PM +0200, Julien Cristau wrote:
> Hi Bill,
> 
> sorry for the delay in getting back to you.
> 
> On Sat, Apr 30, 2011 at 16:29:17 +0200, Bill Allombert wrote:
> 
> > One issue with this transition is that a number of packages still depends on 
> > libjpeg62-dev instead of libjpeg-dev. This might cause packages to have uninstallable
> > build-dependency until they are fixed.
> > 
> I guess that depends if we need to keep building some things against
> libjpeg62.  If not, maybe libjpeg62-dev can become a dummy transitional
> package for libjpeg8-dev.  If yes, then those packages depending on
> libjpeg62-dev should have bugs filed (probably at important severity
> for now).

Given the large legacy of libjpeg62, it is probably safer to keep it.
Also having libjpeg62-dev an alias for libjpeg8-dev is going to be
confusing. I will report bug to packages that Depends on libjpeg62-dev
as a first step.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Thu, 09 Jun 2011 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Thu, 09 Jun 2011 21:45:06 GMT) Full text and rfc822 format available.

Message #83 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Thu, 9 Jun 2011 23:43:40 +0200
On Thu, Jun  9, 2011 at 23:13:03 +0200, Bill Allombert wrote:

> Given the large legacy of libjpeg62, it is probably safer to keep it.
> Also having libjpeg62-dev an alias for libjpeg8-dev is going to be
> confusing. I will report bug to packages that Depends on libjpeg62-dev
> as a first step.
> 
Alright, thank you.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Thu, 09 Jun 2011 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Thu, 09 Jun 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #88 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Fri, 10 Jun 2011 00:02:57 +0200
On Thu, Jun 09, 2011 at 11:43:40PM +0200, Julien Cristau wrote:
> On Thu, Jun  9, 2011 at 23:13:03 +0200, Bill Allombert wrote:
> 
> > Given the large legacy of libjpeg62, it is probably safer to keep it.
> > Also having libjpeg62-dev an alias for libjpeg8-dev is going to be
> > confusing. I will report bug to packages that Depends on libjpeg62-dev
> > as a first step.
> > 
> Alright, thank you.

Done, 18 bugs reported, #629960 to #629978 minus #629971.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Sat, 11 Jun 2011 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Sat, 11 Jun 2011 15:06:03 GMT) Full text and rfc822 format available.

Message #93 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Sat, 11 Jun 2011 17:03:18 +0200
On Sat, Apr 30, 2011 at 22:27:59 +0200, Bill Allombert wrote:

> On Fri, Apr 29, 2011 at 10:13:53PM +0200, Julien Cristau wrote:
> > Either way we should probably get this started at this point, so please
> > feel free to upload at your convenience.
> 
> Fine. How should I proceed ? Should I upload both libjpeg6b and libjpeg8 with
> libjpeg-dev pointing to libjpeg8-dev ?
> 
Yep, that's it.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Thu, 07 Jul 2011 13:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Thu, 07 Jul 2011 13:48:06 GMT) Full text and rfc822 format available.

Message #98 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Thu, 7 Jul 2011 15:47:27 +0200
On Thu, Jun 09, 2011 at 11:43:40PM +0200, Julien Cristau wrote:
> On Thu, Jun  9, 2011 at 23:13:03 +0200, Bill Allombert wrote:
> 
> > Given the large legacy of libjpeg62, it is probably safer to keep it.
> > Also having libjpeg62-dev an alias for libjpeg8-dev is going to be
> > confusing. I will report bug to packages that Depends on libjpeg62-dev
> > as a first step.
> > 
> Alright, thank you.

I have prepared the new packages. They are at
<http://people.debian.org/~ballombe/jpeg>

There still remain 15 packages dependending on libjpeg62-dev, however I am not sure it
is worth delaying the transition more. Maybe I should just upload the new packages.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Thu, 07 Jul 2011 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Thu, 07 Jul 2011 18:36:03 GMT) Full text and rfc822 format available.

Message #103 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Thu, 7 Jul 2011 20:33:18 +0200
On Thu, Jul  7, 2011 at 15:47:27 +0200, Bill Allombert wrote:

> There still remain 15 packages dependending on libjpeg62-dev, however I am not sure it
> is worth delaying the transition more. Maybe I should just upload the new packages.
> 
Yes, I think so.  The remaining packages can be NMUed as needed if they
start blocking stuff.

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Fri, 08 Jul 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Fri, 08 Jul 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #108 received at 547393@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Cristau <jcristau@debian.org>
Cc: 547393@bugs.debian.org
Subject: Re: Bug#547393: libjpeg8 transition.
Date: Sat, 9 Jul 2011 00:22:26 +0200
On Thu, Jul 07, 2011 at 08:33:18PM +0200, Julien Cristau wrote:
> On Thu, Jul  7, 2011 at 15:47:27 +0200, Bill Allombert wrote:
> 
> > There still remain 15 packages dependending on libjpeg62-dev, however I am not sure it
> > is worth delaying the transition more. Maybe I should just upload the new packages.
> > 
> Yes, I think so.  The remaining packages can be NMUed as needed if they
> start blocking stuff.

OK, so I uploaded the packages.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 25 Jul 2011 19:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org:
Bug#547393; Package release.debian.org. (Sat, 24 Sep 2011 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, madcoder@debian.org. (Sat, 24 Sep 2011 14:45:06 GMT) Full text and rfc822 format available.

Message #115 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393@bugs.debian.org
Subject: Re: binNMU for libjpeg8 migration (2nd try)
Date: Sat, 24 Sep 2011 16:41:32 +0200
On Sat, Sep  3, 2011 at 10:58:24 +0200, Bill Allombert wrote:

> Dear release team,
> 
> In the interest of moving forward with the libjpeg8 migration,
> I suggest to binNMU packages that build-depends on libjpeg-dev but still depends
> on libjpeg62.
> 
> Please find the list below assuming my computation are correct.
> 
Scheduled a few more now, I think the remaining packages either FTBFS,
or have a build-dependency on 'libjpeg62-dev' or on 'libjpeg62-dev |
libjpeg-dev'.

> Furthermore how do you like to proceed with the remaining packages that Build-Depends
> on libjpeg62-dev ? Should I report bugs for all of them ?
> 
Probably yes.  And maybe have lintian flag it as an obsolete build-dep.

Cheers,
Julien




Removed annotation that Bug was owned by madcoder@debian.org. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 06 Oct 2011 18:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#547393; Package release.debian.org. (Fri, 11 Nov 2011 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 11 Nov 2011 12:39:07 GMT) Full text and rfc822 format available.

Message #122 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 547393@bugs.debian.org
Subject: Re: proposed binNMU for libjpeg transition
Date: Fri, 11 Nov 2011 13:34:24 +0100
On Sat, Nov  5, 2011 at 14:22:53 +0100, Bill Allombert wrote:

> Dear Debian release team,
> 
> In the interest of moving forward with the libjpeg8 migration, I suggest to
> binNMU packages that depends on libjpeg62 but do not Build-Depends (directly)
> on libjpeg62-dev
> 
> Please find the list below assuming my computation are correct.
> 
Hi Bill, thanks for the list.  Double checking against projectb only
turned up a couple more arch-specific ones.  I've scheduled all those
not commented on below:

> gnudatalanguage 0.9.1-1

FTBFS (#647802)

> open-font-design-toolkit 1.0-3

That one is arch:all.

Added openmotif/mipsel.

> photoprint 0.4.1-4

Replaced by 0.4.2~pre2-1.

> plplot 5.9.5-4

Replaced by 5.9.9-1.

> sunclock 3.56-8

Replaced by 3.56-9.

> tesseract 2.04-1.1

That would be 2.04-2.1.  Scheduled.

Added tuxfootball/hurd-i386 and tuxmath/hurd-i386.

Added zbar/ia64.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#547393; Package release.debian.org. (Sun, 29 Jan 2012 18:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Jan 2012 18:39:07 GMT) Full text and rfc822 format available.

Message #127 received at 547393@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393@bugs.debian.org
Subject: Re: libjpeg8 transition.
Date: Sun, 29 Jan 2012 19:36:40 +0100
[Message part 1 (text/plain, inline)]
I just NMUed a number of packages with build-dependencies on
libjpeg62-dev, which should get us closer to a full move to libjpeg8 for
wheezy.  These packages are in DELAYED/7:
- aaphoto
- ctwm
- driftnet
- exrtools
- flam3
- gegl
- gpicview
- italc
- jp2a
- jpegpixi
- libwebp
- minidlna
- mrxvt
- netgen
- perl-tk

I think there's at least as many left, if anybody else is feeling bored
sometime.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 14:30:14 GMT) Full text and rfc822 format available.

Notification sent to Pierre Habouzit <madcoder@debian.org>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 14:30:14 GMT) Full text and rfc822 format available.

Message #132 received at 547393-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 547393-done@bugs.debian.org
Subject: Re: state of libjpeg transition
Date: Sat, 30 Jun 2012 16:28:13 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jun 10, 2012 at 18:19:20 +0200, Bill Allombert wrote:

> Dear release team,
> 
> I have NMUed most of the remaining packages that build-depended on libjpeg62-dev.
> 
> I think the only remaining packages are:
>   compiz-fusion-plugins-main
>   kphotoalbum
> 
> but they seems quite old.
> 
compiz-foo was removed from testing, kphotoalbum was fixed.  I'm closing
the transition bug as done.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:25:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.